# Generated by Django 2.2.7 on 2020-02-12 09:19

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('main', '0052_auto_20200211_1203'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='awardtype',
            name='content_type',
        ),
        migrations.RemoveField(
            model_name='awardtype',
            name='object_id',
        ),
        migrations.CreateModel(
            name='AwardEntityType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.PositiveIntegerField(blank=True, default=None, null=True)),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
            ],
            options={
                'verbose_name': 'Award entity type',
                'verbose_name_plural': 'Award entity types',
            },
        ),
        migrations.AddField(
            model_name='awardtype',
            name='entity_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='main.AwardEntityType', verbose_name='entity type'),
        ),
    ]
